List message templates
GET
/space/channel/{id}/template
const url = 'https://api.aelyst.ai/v1/space/channel/example/template?limit=10';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.aelyst.ai/v1/space/channel/example/template?limit=10' \ --header 'Authorization: Bearer <token>'Get all the message template of a connected channels in the workspace.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
ID of the channel to list template
Query Parameters
Section titled “Query Parameters”limit
integer
Number of items to return i.e. page size.
cursorId
integer
Pointer to the template id from where the next batch of records should start from.
Responses
Section titled “Responses”Media typeapplication/json
object
items
Array<object>
MessageTemplateobject
id
integer
name
required
string
components
required
Array
Any of:
Any of:
object
type
required
string
format
string
text
required
string
parameters
required
Array<object>
object
type
required
string
text
required
string
object
type
string
format
string
parameters
required
Array<object>
object
type
required
string
image
required
object
link
required
string
caption
required
string
filename
required
string
object
type
string
format
string
parameters
required
Array<object>
object
type
required
string format: video
video
required
object
link
required
string
caption
required
string
filename
required
string
object
type
string
format
string
parameters
required
Array<object>
object
type
required
string
document
required
object
link
required
string format: url
caption
string
filename
required
string
object
type
string
text
string
object
type
string
text
string
parameters
Array<object>
object
type
string
text
string
bundle
object
channelId
required
integer
botId
required
integer
languageCode
required
string
namespace
string
category
required
string
status
string
statusDetail
string
templateId
string
pagination
object
next
required
string
previous
required
string
Example
{ "items": [ { "id": 12345, "name": "conversation_follow_up", "components": [ { "type": "header", "format": "text", "text": "Header text", "parameters": [ { "type": "text", "text": "aelyst.ai" } ] } ], "channelId": 1234, "botId": 123, "languageCode": "en", "namespace": null, "category": "MARKETING", "status": "approved", "templateId": "1234" } ], "pagination": { "next": "https://api.aelyst.ai/space/channel/{id}/template?limit=10&cursorId=10", "previous": "https://api.aelyst.ai/space/channel/{id}/template?limit=10&cursorId=-10" }}Media typeapplication/json
object
code
integer
message
string
Example
{ "code": 400, "message": "Validation error."}Media typeapplication/json
object
code
integer
message
string
Example
{ "code": 401, "message": "UN_AUTHORIZED"}Media typeapplication/json
object
code
integer
message
string
Example
{ "code": 429, "message": "Too Many Requests"}Headers
Section titled “Headers”Retry-After
number
Example
1Number of seconds until you can retry the request
X-RateLimit-Limit
number
Example
10Number of request allowed for this end point
X-RateLimit-Remaining
number
Example
5Number of request remaining for this end point
Media typeapplication/json
object
code
integer
message
string
Example
{ "code": 500, "message": "Unexpected error occurred"}